# QTreeWidgetItem Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTreeWidgetItem(QTreeWidget view, QTreeWidgetItem after, int type)
- void QTreeWidgetItem(QTreeWidget view, List strings, int type)
- void QTreeWidgetItem(QTreeWidget view, int type)
- void QTreeWidgetItem(QTreeWidgetItem parent, QTreeWidgetItem after, int type)
- void QTreeWidgetItem(QTreeWidgetItem parent, List strings, int type)
- void QTreeWidgetItem(QTreeWidgetItem parent, int type)
- void QTreeWidgetItem(List strings, int type)
- void QTreeWidgetItem(int type)

### Constructor Properties

- prototype: The QTreeWidgetItem prototype object
- Type = 0
- UserType = 1000
- ItemType( value )
- ShowIndicator
- DontShowIndicator
- DontShowIndicatorWhenChildless
- ChildIndicatorPolicy( value )

### Prototype Object Properties

- void addChild(QTreeWidgetItem child)
- void addChildren(List children)
- QBrush background(int column)
- CheckState checkState(int column)
- QTreeWidgetItem child(int index)
- int childCount()
- ChildIndicatorPolicy childIndicatorPolicy()
- QTreeWidgetItem clone()
- int columnCount()
- Object data(int column, int role)
- ItemFlags flags()
- QFont font(int column)
- QBrush foreground(int column)
- QIcon icon(int column)
- int indexOfChild(QTreeWidgetItem child)
- void insertChild(int index, QTreeWidgetItem child)
- void insertChildren(int index, List children)
- bool isDisabled()
- bool isExpanded()
- bool isFirstColumnSpanned()
- bool isHidden()
- bool isSelected()
- QTreeWidgetItem parent()
- void readFrom(QDataStream in)
- void removeChild(QTreeWidgetItem child)
- void setBackground(int column, QBrush brush)
- void setCheckState(int column, CheckState state)
- void setChildIndicatorPolicy(ChildIndicatorPolicy policy)
- void setData(int column, int role, Object value)
- void setDisabled(bool disabled)
- void setExpanded(bool expand)
- void setFirstColumnSpanned(bool span)
- void setFlags(ItemFlags flags)
- void setFont(int column, QFont font)
- void setForeground(int column, QBrush brush)
- void setHidden(bool hide)
- void setIcon(int column, QIcon icon)
- void setSelected(bool select)
- void setSizeHint(int column, QSize size)
- void setStatusTip(int column, String statusTip)
- void setText(int column, String text)
- void setTextAlignment(int column, int alignment)
- void setToolTip(int column, String toolTip)
- void setWhatsThis(int column, String whatsThis)
- QSize sizeHint(int column)
- void sortChildren(int column, SortOrder order)
- String statusTip(int column)
- QTreeWidgetItem takeChild(int index)
- List takeChildren()
- String text(int column)
- int textAlignment(int column)
- String toolTip(int column)
- QTreeWidget treeWidget()
- int type()
- String whatsThis(int column)
- void writeTo(QDataStream out)

### Instance Properties

QTreeWidgetItem objects have no special properties beyond those inherited from the QTreeWidgetItem prototype object.